## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocVariableCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocVariableCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class JavadocVariableCheck

extends Check

Checks that a variable has Javadoc comment.

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`JavadocVariableCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setExcludeScope(String aScope)` Set the excludeScope.
`void` `setScope(String aFrom)` Sets the scope to check.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocVariableCheck

    public JavadocVariableCheck()

Method Detail

### setScope

    public void setScope(String aFrom)

  Sets the scope to check.

  Parameters:
    `aFrom` - string to get the scope from

### setExcludeScope

    public void setExcludeScope(String aScope)

  Set the excludeScope.

  Parameters:
    `aScope` - a `String` value

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Back to the Checkstyle Home Page